/*
 * Copyright 2015 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.15
import Lomiri.Components 1.3


Rectangle {
    id: root
    property alias text: textItem.text
    signal clicked()
    width: textItem.width + units.gu(1.5)
    height: textItem.height + units.gu(1.5)
    Text {
        id: textItem
        anchors.centerIn: parent
        font.pixelSize: units.gu(1.5)
    }
    MouseArea {
        anchors.fill: parent
        onClicked: root.clicked()
    }
}
